Package org.apache.sysds.runtime.compress.utils

## Class CompressRDDClean

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.CompressRDDClean

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`

    public class CompressRDDClean
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CompressRDDClean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call​(MatrixBlock mb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressRDDClean

    public CompressRDDClean()

### Method Detail

#### call

    public MatrixBlock call​(MatrixBlock mb)
                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`
Throws:
  `Exception`